[@rxap/form-system](../wiki/globals) / FormArrayItemRemoveButtonDirective

# Class: FormArrayItemRemoveButtonDirective

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-remove-button.directive.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-remove-button.directive.ts#L16)

## Extends

- [`FormArrayItemButton`](../wiki/Class.FormArrayItemButton)

## Implements

- `AfterViewInit`
- `OnDestroy`

## Constructors

### new FormArrayItemRemoveButtonDirective()

> **new FormArrayItemRemoveButtonDirective**(`parent`, `matButton`, `renderer`, `elementRef`): [`FormArrayItemRemoveButtonDirective`](../wiki/Class.FormArrayItemRemoveButtonDirective)

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:38](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L38)

#### Parameters

##### parent

`ControlContainer`

##### matButton

`MatButton`

##### renderer

`Renderer2`

##### elementRef

`ElementRef`

#### Returns

[`FormArrayItemRemoveButtonDirective`](../wiki/Class.FormArrayItemRemoveButtonDirective)

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`constructor`](../wiki/Class.FormArrayItemButton#constructors)

## Properties

### deletedControl

> `protected` **deletedControl**: `RxapFormControl`\<`boolean`\>

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:34](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L34)

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`deletedControl`](../wiki/Class.FormArrayItemButton#deletedcontrol)

***

### elementRef

> `protected` `readonly` **elementRef**: `ElementRef`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:42](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L42)

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`elementRef`](../wiki/Class.FormArrayItemButton#elementref-1)

***

### formArray

> `protected` **formArray**: `RxapFormArray`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:33](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L33)

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`formArray`](../wiki/Class.FormArrayItemButton#formarray)

***

### formGroup

> `protected` **formGroup**: `RxapFormGroup`\<\{ `deleted`: `boolean`; \}\>

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L32)

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`formGroup`](../wiki/Class.FormArrayItemButton#formgroup)

***

### matButton

> `protected` `readonly` **matButton**: `MatButton`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:40](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L40)

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`matButton`](../wiki/Class.FormArrayItemButton#matbutton-1)

***

### parent

> `protected` `readonly` **parent**: `ControlContainer`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:39](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L39)

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`parent`](../wiki/Class.FormArrayItemButton#parent-1)

***

### renderer

> `protected` `readonly` **renderer**: `Renderer2`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:41](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L41)

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`renderer`](../wiki/Class.FormArrayItemButton#renderer-1)

***

### shouldTemporarilyDeleted()

> **shouldTemporarilyDeleted**: (`formGroup`) => `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-remove-button.directive.ts:24](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-remove-button.directive.ts#L24)

A function that returns if the control should be temporarily deleted.
true - in the given form group the deleted control is set to true
false - the form group is removed from the (parent) form array

#### Parameters

##### formGroup

`RxapFormGroup`

#### Returns

`boolean`

***

### type

> **type**: `string` = `'button'`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:31](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L31)

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`type`](../wiki/Class.FormArrayItemButton#type)

## Accessors

### disabled

#### Get Signature

> **get** **disabled**(): `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:47](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L47)

##### Returns

`boolean`

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`disabled`](../wiki/Class.FormArrayItemButton#disabled)

***

### index

#### Get Signature

> **get** **index**(): `number`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:55](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L55)

##### Returns

`number`

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`index`](../wiki/Class.FormArrayItemButton#index)

***

### isDeleted

#### Get Signature

> **get** **isDeleted**(): `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:51](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L51)

##### Returns

`boolean`

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`isDeleted`](../wiki/Class.FormArrayItemButton#isdeleted)

***

### isDisabled

#### Get Signature

> **get** `protected` **isDisabled**(): `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:59](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L59)

##### Returns

`boolean`

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`isDisabled`](../wiki/Class.FormArrayItemButton#isdisabled)

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:63](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L63)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`ngAfterViewInit`](../wiki/Class.FormArrayItemButton#ngafterviewinit)

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:94](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L94)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

#### Inherited from

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`ngOnDestroy`](../wiki/Class.FormArrayItemButton#ngondestroy)

***

### onClick()

> `protected` **onClick**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-remove-button.directive.ts:27](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-remove-button.directive.ts#L27)

#### Returns

`void`

#### Overrides

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`onClick`](../wiki/Class.FormArrayItemButton#onclick)

***

### updateDisplayStyle()

> `protected` **updateDisplayStyle**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-remove-button.directive.ts:36](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-remove-button.directive.ts#L36)

#### Returns

`void`

#### Overrides

[`FormArrayItemButton`](../wiki/Class.FormArrayItemButton).[`updateDisplayStyle`](../wiki/Class.FormArrayItemButton#updatedisplaystyle)
